## EDU.oswego.cs.dl.util.concurrent
Class Rendezvous.Rotator

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.Rendezvous.Rotator

All Implemented Interfaces:
  Rendezvous.RendezvousFunction

Enclosing class:
  Rendezvous

    public static class Rendezvous.Rotator

extends java.lang.Object
implements Rendezvous.RendezvousFunction

The default rendezvous function. Rotates the array so that each thread returns an item presented by some other thread (or itself, if parties is 1).

Constructor Summary
`Rendezvous.Rotator()`

Method Summary
`void` `rendezvousFunction(java.lang.Object[] objects)` Rotate the array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rendezvous.Rotator

    public Rendezvous.Rotator()

Method Detail

### rendezvousFunction

    public void rendezvousFunction(java.lang.Object[] objects)

  Rotate the array

  Specified by:
    `rendezvousFunction` in interface `Rendezvous.RendezvousFunction`